> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r/reference/dataset/datasetusdupdate.md).

# Dataset$update

### Dataset$<mark style="color:purple;">update</mark>(\*, *name=NULL, public\_access\_level=NULL, description=NULL*) → self

Update properties on a dataset. All properties are optional, and only specified properties will be updated.

### **Parameters:**

**`name` :&#x20;*****str, default NULL***\
The dataset's new name. If set to `NULL` (the default), the name will not be updated.

**`public_access_level` :&#x20;*****str {"none"*****&#x20;|&#x20;*****"overview"*****&#x20;|&#x20;*****"metadata"*****&#x20;|&#x20;*****"sample"*****&#x20;|&#x20;*****"data"}, default NULL***\
The dataset's new public access level (the level of access for any user on Redivis). If set to `NULL` (the default), the public access level will not be updated. Additional access rules for datasets can be defined through the web interface.

**`description` :&#x20;*****str, default NULL***\
The dataset's new description, presented as the "Abstract" in the web interface. If set to `NULL` (the default), the description will note be updated.

### **Returns:**&#x20;

**self (a** [**Dataset**](/api/client-libraries/redivis-r/reference/dataset.md)**)**

### Examples:

{% tabs %}
{% tab title="Update a dataset" %}

```python
dataset <- redivis$user("my_username")$dataset("My dataset")
dataset$update(name="My newly named dataset", description="this is a test")
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/dataset/datasetusdupdate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
